- name: Check if Ollama is installed
  ansible.builtin.command: ollama --version
  register: ollama_check
  changed_when: false
  failed_when: false

- name: Download Ollama install script
  ansible.builtin.get_url:
    url: https://ollama.com/install.sh
    dest: /tmp/install_ollama.sh
    mode: '0755'
  when: ollama_check.rc != 0

- name: Install Ollama
  ansible.builtin.command: bash -c 'set -o pipefail && sh /tmp/install_ollama.sh'
  when: ollama_check.rc != 0
  args:
    creates: /usr/local/bin/ollama

- name: Check if Ollama is running
  ansible.builtin.systemd:
    name: ollama
    state: started
    enabled: true
  become: true
  register: ollama_service
